

/*****************左侧菜单*******************/
.container .left-menu {
  position: fixed;
  width: 275px;
  left: -25px;
  top: 107px;
  bottom: 0;
  background-color: #fff;
  overflow-y: auto;
  color: #92959c;
  cursor: pointer;
  z-index: 2;
}
.container .left-menu .menu-hr {
  height: 23px;
  border: none;
  margin: 0;
}
.container .left-menu .menu-hr,
.left-menu .first-level-title,
.left-menu .second-level-title:not(.open),
.left-menu .third-level-ul {
  border-bottom: 1px solid #e0e1e2;
}
.left-menu .third-level-ul {
  margin-top: -13px;
  padding-bottom: 10px;
}
.left-menu .closed {
  display: none;
}
.left-menu .first-level-title {
  height: 48px;
  line-height: 48px;
  display: block;
  padding: 0 30px 0 18px;
  font-weight: bold;
  font-size: 14px;
  color: #1A2940;
}

.left-menu .second-level-title {
  height: 62px;
  line-height: 62px;
  display: block;
  padding: 0 25px;
  font-size: 14px;
  color: #92959c;
  font-weight: 700;
    text-decoration:none;
}
.left-menu .doc-link {
  height: 32px;
  line-height: 34px;
  display: block;
  color: #92959c;
  padding-left: 65px;
  padding-right: 20px;
  font-size: 14px;
}
.left-menu .first-level-title,
.left-menu .second-level-title,
.left-menu .doc-link {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  word-break: break-all;
}
.left-menu .doc-link.active-doc {
  border-left: 4px solid #00a3f1;
  padding-left: 61px;
}
.left-menu .first-level-title.active-title {
  border-left: 5px solid #00a3f1;
  padding-left: 14px;
}
.left-menu .doc-link:hover,
.left-menu .second-level-title:hover,
.left-menu .second-level-title.active-title,
.left-menu .first-level-ul .first-level-li .active-doc {
  color: #1A2940;
}
.left-menu [class^="icon-"] {
  font-size: 25px;
  float: left;
  margin-right: 15px;
  font-weight: normal;
}
.left-menu .icon-menu_wap_icon_open,
.left-menu .icon-menu_wap_icon_close {
  font-weight: normal;
  position: absolute;
  right: 20px;
  font-size: 12px;
  transform: scale(0.82);
  float: none;
  margin-right: 0;
}
/********************当前菜单的ios和android图标高亮***********************/
.left-menu .active-title > i:first-child,
.left-menu .active-doc > [class^="icon-"] {
  color: #00a3f1;
}
.left-menu .active-doc.active-title {
  border-left: 5px solid #00a3f1;
  padding-left: 20px;
}
.left-menu .icon-menu_wap_icon_close,
.left-menu .icon-menu_wap_icon_open {
  font-weight: normal;
  position: absolute;
  right: 20px;
}


/******************右侧内容******************/
.container .doc-content-section {
  margin-left: 0px;
  padding: 0 1px;
  position: relative;
  min-width: 0;
    top: 42px;
}
/******************面包屑和搜索********************/
.container .doc-content-section .bread-crumb-and-search {
  height: 60px;
  padding: 10px 0;
}
.container .bread-crumb-and-search .bread-crumb {
  position: relative;
  font-weight: normal;
  font-size: 14px;
  color: #646465;
  height: 40px;
  line-height: 40px;
}
.container .bread-crumb-and-search .search-section {
  position: absolute;
  right: 0;
  height: 40px;
  width: 480px;
  background-color: #fff;
  outline: none;
  padding: 0 36px 0 10px;
  font-size: 14px;
  border: 1px solid #e0e1e2;
}
.container .bread-crumb-and-search .icon-search {
  position: absolute;
  right: 10px;
  cursor: pointer;
}
.container .doc-content-section .doc-content {
  padding: 0 25px 25px 25px;
  background-color: #fff;
  margin-bottom: 20px;
}
/******测试样式******/
.container .doc-content .test-content {
  height: 500px;
}
.container .doc-content-section .doc-menu {
  position: absolute;
  width: 250px;
  top: 141px;
  right: 50px;
  overflow: hidden;
  padding-left: 12px;
  font-size: 14px;
}
.container .doc-content-section .doc-menu-wrapper {
  padding-left: 3px;
  padding-bottom: 0;
  margin-right: -20px;
  padding-right: 20px;
  background-color: #fff;
  max-height: 100%;

  overflow-y: scroll;
}
.container .doc-content-section .doc-menu-inner {
  border-left: 2px solid #e0e1e2;
  padding-left: 20px;
}
.container .doc-content-section .doc-menu-wrapper a:last-child {
  margin-bottom: 0;
  padding-bottom: 8px;
}
.container .doc-content-section .menu-title {
  line-height: 56px;
}
.container .doc-content-section .menu-item {
  line-height: 20px;
  display: block;
  color: #939393;
  margin-bottom: 15px;
  position: relative;
  cursor: pointer;
  text-decoration:none;
}
.container .doc-content-section .menu-item:before {
  content: ' ';
  position: absolute;
  left: -24px;
  top: 7px;
  width: 6px;
  height: 6px;
  border-radius: 6px;
  background-color: #939393;
}
.container .doc-content-section .active-menu,
.container .doc-content-section .menu-item:hover {
  color: #00a1f3;
}
.container .doc-content-section .active-menu:before {
  background-color: #00a1f3;
  width: 8px;
  height: 8px;
  top: 6px;
  left: -25px;
}

.container .doc-content-section .doc-response {
  border-top: 1px solid #e0e1e2;
}
.container .doc-response .doc-response-title {
  font-size: 16px;
  margin: 0;
  height: 50px;
  line-height: 50px;
  color: #4a4b4b;
}
.container .doc-response .response-btn {
  height: 36px;
  line-height: 34px;
  width: 80px;
  border: 1px solid #acacac;
  background-color: #fff;
  border-radius: 4px;
  color: #4a4b4b;
  font-size: 16px;
  margin-right: 20px;
  padding: 0 16px;
  text-align: right;
  cursor: pointer;
  outline: none;
}
.container .doc-content [class^="icon-"] {
  float: left;
  font-size: 20px;
  line-height: 34px;
}
.container .doc-response .response-btn.active-response,
.container .doc-response:not(.choosed) .response-btn:hover {
  border-color: #00a3f1;
  color: #00a3f1;
}








/***************返回顶部部件******************/
.slide-to-top.icon-slide-to-top {
  position: fixed;
  height: 50px;
  width: 50px;
  opacity: .8;
  line-height: 50px;
  text-align: center;
  right: 25px;
  bottom: 25px;
  background-color: #01acf3;
  color: #fff;
  font-size: 40px;
  border-radius: 25px;
  cursor: pointer;
  transition: opacity .5s linear;
}
.slide-to-top.slide-to-top-show {
  display: block;
  opacity: .8;
  /*-webkit-animation: show-slider .5s both linear;*/
  /*animation: show-slider .5s both linear;*/
}
.slide-to-top:hover {
  opacity: 1;
}
@-webkit-keyframes show-slider {
  0% { opacity: 0; }
  100% { opacity: 1; }
}
@keyframes show-slider {
  0% { opacity: 0; }
  100% { opacity: 1; }
}
.slide-to-top.slide-to-top-hide {
  /*opacity: .8;*/
  /*-webkit-animation: hide-slider .5s both linear;*/
  /*animation: hide-slider .5s both linear;*/
}
@-webkit-keyframes hide-slider {
  0% { opacity: 1;display: inherit; }
  100% { opacity: 0;display: none; }
}
@keyframes hide-slider {
  0% { opacity: 1;display: inherit; }
  100% { opacity: 0;display: none; }
}

/******************文档部分样式**********************/
.doc-content-section .doc-content .markdown-content {
  margin-right: 294px;
}
.doc-content .markdown-content pre {
  width: 100%;
}
.container .doc-content .doc-title {
  font-size: 14px;
  line-height: 50px;
  color: #1a2940;
  border-bottom: 1px solid #e0e1e2;
}
.markdown-content > h1:first-child {
  display: none;
}
.markdown-content > h2 {
  font-size: 16px;
  color: #27a5ff;
  font-weight: bold;
  margin-top: 35px;
  margin-bottom: 11px;
}
.markdown-content h3 {
  font-size: 16px;
  color: #1a2940;
  font-weight: bold;
  margin-top: 29px;
  margin-bottom: 16px;
}
.markdown-content h4 {
  font-size: 14px;
  color: #1a2940;
  font-weight: bold;
  margin-bottom: 7px;
  margin-top: 29px;
  min-height: 17px;
  line-height: 160%;
}
.markdown-content p {
  margin-top: 10px;
  font-size: 14px;
  color: #333333;
  line-height: 25px;
}
.markdown-content h2 + p,
.markdown-content h3 + p,
.markdown-content h4 + p,
.markdown-content h5 + p {
  margin-top: 8px;
}
.markdown-content p + h2,
.markdown-content p + h3,
.markdown-content p + h4,
.markdown-content p + h5 {
  margin-top: 30px;
}
.markdown-content p + p {
  margin-top: 10px;
}
.markdown-content ul,
.markdown-content ol {
  list-style: inherit;
  margin-top: 10px;
  margin-left: 13px;
  margin-bottom: 0;
}

.markdown-content ul li,
.markdown-content ol li {
  font-size: 14px;
  color: #333333;
  margin-top: 6px;
  margin-bottom: 6px;
}
.markdown-content ul li {
  position: relative;
  list-style: none;
}
.markdown-content ul li:before {
  content: '●';
  position: absolute;
  left: -13px;
  top: 2px;
  line-height: inherit;
  color: #616161;
}
.markdown-content a {
  color: #0183e4;
  word-break: break-all;
  text-decoration: none;
}
.markdown-content img {
  max-width: 100%;
  display: inline;
  line-height: 1.428571429;
  background-color: #fff;
  vertical-align: middle;
}
@media (min-width: 800px) {
  .markdown-content img {
    max-height: 780px;
  }
}

.markdown-content code,
.markdown-content kbd,
.markdown-content pre,
.markdown-content samp {
  font-size: 12px !important;
}
.markdown-content code {
  padding: 2px 5px;
  color: #c7254e;
  background-color: #f9f2f4;
  white-space: nowrap;
  border-radius: 4px;
  display: inline-block;
}
.markdown-content pre {
  position: relative;
  margin-bottom: 12px;
  border-color: #c9c9c9;
  padding-right: 50px;
  overflow: visible;
  max-width: 100%;
  border: solid 1px #e1e4e5;
  background-color: #f2f2f2;
  color: #e74c3c;
  display: block;
  padding: 9.5px;
  margin: 0 0 10px;
  line-height: 1.428571429;
  word-break: break-all;
  word-wrap: break-word;
  border-radius: 4px;
  white-space: pre-wrap;
}
.markdown-content pre code {
  display: block;
  overflow-x: auto;
  padding: 0.5em;
  color: #333;
  white-space: pre-wrap;
  background-color: transparent;
  border-radius: 0;
}
.markdown-content mark {
  display: block;
  padding: 11px 16px;
  font-size: 14px;
  width: 100%;
}
.markdown-content mark.note {
  background: #fbf8e5;
  border: 1px solid #f5ebdc;
  border-radius: 6px;
  color: #906321;
}
.markdown-content mark.notice {
  background: #f8eded;
  border: 1px solid #f3dce0;
  border-radius: 6px;
  color: #c20c25;
  margin-top: 0;
}
.markdown-content table {
  width: 100%;
  margin-bottom: 20px;
  max-width: 100%;
  background-color: transparent;
  border-collapse: collapse;
  border-spacing: 0;
}
.markdown-content table td,
.markdown-content table th {
  text-align: left!important;
}
.markdown-content table > thead:first-child > tr:first-child > th {
  border-top: 1px solid #d5d5d5;
  background: #eaeaea;
  font-size: 14px;
  color: #1d1d1d;
  font-weight: bold;
  white-space: nowrap;
}
.markdown-content table thead tr th:first-child {
  border-left: 1px solid #d5d5d5;
}
.markdown-content table thead tr th {
  border-bottom: 1px solid #d5d5d5;
}
.markdown-content table>thead>tr>th {
  vertical-align: bottom;
  border-bottom: 2px solid #ddd;
}
.markdown-content table>thead>tr>th,
.markdown-content table>tbody>tr>th,
.markdown-content table>tfoot>tr>th,
.markdown-content table>thead>tr>td,
.markdown-content table>tbody>tr>td,
.markdown-content table>tfoot>tr>td {
  padding: 8px;
  line-height: 1.428571429;
  vertical-align: top;
  border-top: 1px solid #ddd;
}
.markdown-content table > tbody > tr:nth-child(odd) > td {
  background: #fff;
}
.markdown-content table tbody tr td:first-child {
  border-left: 1px solid #d5d5d5;
}
.markdown-content table tbody tr td {
  border-top: 0;
  border-bottom: 1px solid #d5d5d5;
}
.markdown-content table thead tr th:last-child,
.markdown-content table tbody tr td:last-child {
  border-right: 1px solid #d5d5d5;
}

.markdown-content pre .btn-copy {
  width: 42px;
  height: 28px;
  line-height: 28px;
  text-align: center;
  border-radius: 4px;
  border: 1px solid #dadddf;
  background: #f5f5f8;
  font-size: 12px;
  color: #424242;
  position: absolute;
  right: 0px;
  top: 0px;
  z-index: 10;
  border-right: none;
  border-top: none;
  outline: none;
  cursor: pointer;
}
.markdown-content pre .btn-copy:hover {
  background: #344666;
  color: #fff;
}
.markdown-content pre .tip {
  display: none;
  padding: 5px 8px;
  background: #000;
  color: #fff;
  border-radius: 4px;
  position: absolute;
  top: -37px;
  right: -20px;
}
.markdown-content pre textarea {
  opacity: 0;
  width: 40px;
  height: 20px;
  position: absolute;
  right: 0;
  top: 0;
}
.markdown-content blockquote {
  margin-left: 0;
  padding-left: 15px;
  border-left: 4px solid #e5e5e5;
  box-sizing: border-box;
}

